Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# DataDictionary.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | FIX

## Defines

#define | RESET_AUTO_PTR(OLD, NEW) OLD.reset( NEW.release() );

## Define Documentation

#define RESET_AUTO_PTR | ( | OLD,
|  | NEW |  | ) | OLD.reset( NEW.release() );

Definition at line 43 of file DataDictionary.cpp.

Referenced by FIX::DataDictionary::addXMLComponentFields(), FIX::DataDictionary::addXMLGroup(), and FIX::DataDictionary::readFromDocument().